# $Id: dulog.spec,v 1.4 2002/02/19 21:21:58 icon Exp $

%define _vardir /var/lib

Summary: New logs analyzer and parser.
Name: dulog
Version: 0.3.2
Release: 1
License: GPL
Group: Applications/System
Source: http://www.dulug.duke.edu/~icon/dulog/download/%{name}-%{version}.tar.gz
Packager: Konstantin Riabitsev <icon@phy.duke.edu>
Vendor: Duke University <dulog-list@lists.dulug.duke.edu>
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArch: noarch
Requires: metamail textutils

%description
New log notifier and analyzer with modular analysis options.

%changelog
* Tue Feb 19 2002 Konstantin Riabitsev <icon@phy.duke.edu>
- Small changes to logins.mod.pl.
- Added dulog-cron.daily to the source.
- Added dulog.spec to the source.
- RPM build now creates module documentation.

* Mon Feb 18 2002 Konstantin Riabitsev <icon@phy.duke.edu>
- Small fixes to logins.mod.pl, firewall.mod.pl, and weed.list.
- Releasing an 0.3.0

* Thu Feb 14 2002 Icon Riabitsev <icon@phy.duke.edu>
- Added option to append unparsed entries at the top vs. at the bottom.
- Added option to send raw logs gzipped in an attachment (depends on
  metamail)
- Changed the way weeding is done so modules don't conflict with 
  each-other. There will be trade-offs for speed, but integrity in this
  case is more important.
- Full rewrite of logins.mod
- Full rewrite of reboots.mod
- Full rewrite of annoy.mod
- Full rewrite of imp.mod
- sshd.mod was merged with logins.mod
- Changes in weedeater.mod
- Added template.mod.pl, a template for perl modules.
- Modifications to firewall.mod by Michael Stenner.
- Some more docs, and miscellaneous rewrites.

* Wed Jan 16 2002 Icon Riabitsev <icon@phy.duke.edu>
- Replaced ipchains.mod.sh and iptables.mod.pl by a unified firewall.mod.pl
  by Michael Stenner.
- Changing the default dir from /var/dulog to /var/lib/dulog for HFS
  compliance.
- SPEC file cleanups and rewrites.

* Thu Sep 06 2001 Icon Riabitsev <icon@phy.duke.edu>
- Enhancements to modules: reboots, logins
- Bugfixes to modules: annoy, imp, ipchains
- Added module: iptables by Michael Stenner
- Minor changes to the dulog script

* Mon Aug 20 2001 Icon Riabitsev <icon@phy.duke.edu>
- Bugfixes and enhancements of modules.
- IMP module added by Seth Vidal

* Wed Aug 15 2001 Icon Riabitsev <icon@phy.duke.edu>
- dropped the requirement for dulog-init.sh. Now dulog will see if offset
  files are present and if not, then it will initialize them automatically
  at the first run, and make a report based on the last 100 lines of each
  newly-initialized log (or all of them if lines < 100).
- incorporated log-rotation workarounds. If the file was log-rotated, then
  dulog will go out, find the rotated logfile, and append whichever lines
  were added to the logfile before it was rotated. This way no log entries
  go un-analyzed.
- tweaked some modules and fixed some -z bugs.

* Tue Aug 14 2001 Seth Vidal <skvidal@phy.duke.edu>
- first spec file build

%prep
%setup -q -n %{name}-%{version}
# fix version
sed "s/^VERSION=.*/VERSION='%{name}-%{version}-%{release}'/g" dulog \
	> dulog.new
mv -f dulog.new dulog

%build
# build module documentation.
MDOCDIR="doc/modules"
mkdir -m0755 -p $MDOCDIR
for FILE in modules/*; do
  TYPE=`file -ib $FILE 2>/dev/null`
  case $TYPE in
    application/x-perl)
      perldoc -t $FILE > $MDOCDIR/`basename $FILE .pl`.txt
      ;;
    application/x-sh)
      egrep "^#" $FILE | \
	sed "/#!\/bin\/bash/d;/#!\/bin\/sh/d;/Copyright/,//d;s/^#//g;s/^ //g" \
	> $MDOCDIR/`basename $FILE .sh`.txt
      ;;
    *)
      ;;
  esac
done

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -m0755 -p $RPM_BUILD_ROOT%{_sysconfdir}/dulog
mkdir -m0755 -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
mkdir -m0755 -p $RPM_BUILD_ROOT%{_vardir}/dulog
mkdir -m0755 -p $RPM_BUILD_ROOT%{_libdir}/dulog/modules
mkdir -m0755 -p $RPM_BUILD_ROOT%{_sbindir}

install -m0755 modules/* $RPM_BUILD_ROOT%{_libdir}/dulog/modules/
install -m0644 etc/* $RPM_BUILD_ROOT%{_sysconfdir}/dulog/
install -m0755 dulog $RPM_BUILD_ROOT%{_sbindir}
install -m0755 cron/dulog-cron.daily \
	$RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/dulog.cron

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_vardir}/dulog
%dir %{_libdir}/dulog
%dir %{_libdir}/dulog/modules
%{_libdir}/dulog/modules/*
%{_sbindir}/dulog
%{_sysconfdir}/cron.daily/dulog.cron
%config %dir %{_sysconfdir}/dulog
%config(noreplace) %{_sysconfdir}/dulog/*
%doc doc/*
